Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.functions
Class FuncExtFunction

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.functions.Function
                  |
                  +--org.apache.xpath.functions.FuncExtFunction

public class FuncExtFunction
extends Function

Constructor Summary
`FuncExtFunction(java.lang.String namespace, java.lang.String extensionName, java.lang.Object methodKey)`

Method Summary
`void` | `checkNumberArgs(int argNum)`
`XObject` | `execute(XPathContext xctxt)` Execute the function.
`void` | `setArg(Expression arg, int argNum)`

Methods inherited from class org.apache.xpath.Expression
`assert, error, warn`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FuncExtFunction

    public FuncExtFunction(java.lang.String namespace,
                           java.lang.String extensionName,
                           java.lang.Object methodKey)

Method Detail

### execute

    public XObject execute(XPathContext xctxt)
                    throws SAXException

  Execute the function. The function must return a valid object.
  Parameters:
    `xctxt` - The current execution context.
  Returns:
    A valid XObject.
  Overrides:
    execute in class Function

### setArg

    public void setArg(Expression arg,
                       int argNum)
                throws WrongNumberArgsException

  Overrides:
    setArg in class Function

### checkNumberArgs

    public void checkNumberArgs(int argNum)
                         throws WrongNumberArgsException

  Overrides:
    checkNumberArgs in class Function

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.